import java.awt.*;

public class DrawingEnginesOval implements IDrawEngines{
    private EngineNumber number;

    @Override
    public int getType() {
        return 1;
    }

    public int getNumber(){
        int x = 0;
        if(number == EngineNumber.TWO)
            x = 2;
        if(number == EngineNumber.FOUR)
            x = 4;
        if(number == EngineNumber.SIX)
            x = 6;
        return x;
    }
    public void setNumber(int x){
        if(x <= 2)
            number = EngineNumber.TWO;
        if(x == 4)
            number = EngineNumber.FOUR;
        if(x >= 6)
            number = EngineNumber.SIX;
    }
    public void drawEngines(Graphics2D graphics2D, int _startX, int _startY){
        graphics2D.fillRect(_startX+75, _startY+20, 15, 15);
        graphics2D.fillRect(_startX+75, _startY+125, 15, 15);
        if (number == EngineNumber.FOUR || number == EngineNumber.SIX){
            graphics2D.fillRect(_startX+75, _startY+40, 15, 15);
            graphics2D.fillRect(_startX+75, _startY+105, 15, 15);
        }
        if (number == EngineNumber.SIX){
            graphics2D.fillRect(_startX+140, _startY+50, 15, 15);
            graphics2D.fillRect(_startX+140, _startY+95, 15, 15);
        }
    }
}