import java.awt.*;

public class DrawingEnginesRound implements IDrawEngines {
    private EngineNumber number;

    @Override
    public int getType() {
        return 2;
    }

    public int getNumber(){
        int x = 0;
        if(number == EngineNumber.TWO)
            x = 2;
        if(number == EngineNumber.FOUR)
            x = 4;
        if(number == EngineNumber.SIX)
            x = 6;
        return x;
    }
    public void setNumber(int x){
        if(x <= 2)
            number = EngineNumber.TWO;
        if(x == 4)
            number = EngineNumber.FOUR;
        if(x >= 6)
            number = EngineNumber.SIX;
    }
    public void drawEngines(Graphics2D graphics2D, int _startX, int _startY){
        graphics2D.fillOval(_startX+70, _startY+20, 20, 15);
        graphics2D.fillOval(_startX+70, _startY+125, 20, 15);
        if (number == EngineNumber.FOUR || number == EngineNumber.SIX){
            graphics2D.fillOval(_startX+70, _startY+40, 20, 15);
            graphics2D.fillOval(_startX+70, _startY+105, 20, 15);
        }
        if (number == EngineNumber.SIX){
            graphics2D.fillOval(_startX+135, _startY+50, 20, 15);
            graphics2D.fillOval(_startX+135, _startY+95, 20, 15);
        }
    }
}